<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{3E52EC83-9455-4DF9-9072-00E681EC40F8}</ProjectGuid>
    <ProjectTypeGuids>{349c5851-65df-11da-9384-00065b846f21};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>BookDemo.QA</RootNamespace>
    <AssemblyName>BookDemo.QA</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.DataSetExtensions">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.Entity">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Runtime.Serialization">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Security" />
    <Reference Include="System.Web.Entity, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>C:\Windows\assembly\GAC_MSIL\System.Web.Entity\3.5.0.0__b77a5c561934e089\System.Web.Entity.dll</HintPath>
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Web.Extensions">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.EnterpriseServices" />
    <Reference Include="System.Web.Mobile" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Web.config" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Admin\Admin.Master.cs">
      <DependentUpon>Admin.Master</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Admin\Admin.Master.designer.cs">
      <DependentUpon>Admin.Master</DependentUpon>
    </Compile>
    <Compile Include="Admin\Catalogs.aspx.cs">
      <DependentUpon>Catalogs.aspx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Admin\Catalogs.aspx.designer.cs">
      <DependentUpon>Catalogs.aspx</DependentUpon>
    </Compile>
    <Compile Include="Admin\Questions.aspx.cs">
      <DependentUpon>Questions.aspx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Admin\Questions.aspx.designer.cs">
      <DependentUpon>Questions.aspx</DependentUpon>
    </Compile>
    <Compile Include="Admin\Users.aspx.cs">
      <DependentUpon>Users.aspx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Admin\Users.aspx.designer.cs">
      <DependentUpon>Users.aspx</DependentUpon>
    </Compile>
    <Compile Include="CacheDependency.aspx.cs">
      <DependentUpon>CacheDependency.aspx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="CacheDependency.aspx.designer.cs">
      <DependentUpon>CacheDependency.aspx</DependentUpon>
    </Compile>
    <Compile Include="Caching\BaseCache.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Caching\CacheStrategy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Caching\CatalogCache.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Caching\ConfigCache.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Caching\ICacheStrategy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Caching\QuestionAndAnswersCache.cs" />
    <Compile Include="Caching\UserInfoCache.cs" />
    <Compile Include="CatalogDropDownList.ascx.cs">
      <DependentUpon>CatalogDropDownList.ascx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="CatalogDropDownList.ascx.designer.cs">
      <DependentUpon>CatalogDropDownList.ascx</DependentUpon>
    </Compile>
    <Compile Include="Common.cs" />
    <Compile Include="Default.aspx.cs">
      <DependentUpon>Default.aspx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Default.aspx.designer.cs">
      <DependentUpon>Default.aspx</DependentUpon>
    </Compile>
    <Compile Include="Global.asax.cs">
      <DependentUpon>Global.asax</DependentUpon>
    </Compile>
    <Compile Include="Login.aspx.cs">
      <DependentUpon>Login.aspx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Login.aspx.designer.cs">
      <DependentUpon>Login.aspx</DependentUpon>
    </Compile>
    <Compile Include="Master.Master.cs">
      <DependentUpon>Master.Master</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Master.Master.designer.cs">
      <DependentUpon>Master.Master</DependentUpon>
    </Compile>
    <Compile Include="Model.cs" />
    <Compile Include="NewQuestion.aspx.cs">
      <DependentUpon>NewQuestion.aspx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="NewQuestion.aspx.designer.cs">
      <DependentUpon>NewQuestion.aspx</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="QA.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>QA.edmx</DependentUpon>
    </Compile>
    <Compile Include="Question.aspx.cs">
      <DependentUpon>Question.aspx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Question.aspx.designer.cs">
      <DependentUpon>Question.aspx</DependentUpon>
    </Compile>
    <Compile Include="SearchResult.aspx.cs">
      <DependentUpon>SearchResult.aspx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="SearchResult.aspx.designer.cs">
      <DependentUpon>SearchResult.aspx</DependentUpon>
    </Compile>
    <Compile Include="SearchResult2.aspx.cs">
      <DependentUpon>SearchResult2.aspx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="SearchResult2.aspx.designer.cs">
      <DependentUpon>SearchResult2.aspx</DependentUpon>
    </Compile>
    <Compile Include="SolvedQuestionList.ascx.cs">
      <DependentUpon>SolvedQuestionList.ascx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="SolvedQuestionList.ascx.designer.cs">
      <DependentUpon>SolvedQuestionList.ascx</DependentUpon>
    </Compile>
    <Compile Include="UnSolveQuestionList.ascx.cs">
      <DependentUpon>UnSolveQuestionList.ascx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="UnSolveQuestionList.ascx.designer.cs">
      <DependentUpon>UnSolveQuestionList.ascx</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Service Include="{3259AA49-8AA1-44D3-9025-A0B520596A8C}" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Admin\Admin.Master" />
    <Content Include="Admin\Catalogs.aspx" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Admin\Questions.aspx" />
    <Content Include="Admin\Users.aspx" />
    <Content Include="CacheDependency.aspx" />
    <Content Include="CatalogDropDownList.ascx" />
    <Content Include="Default.aspx" />
    <Content Include="Global.asax" />
    <Content Include="Login.aspx" />
    <Content Include="Master.Master" />
    <Content Include="NewQuestion.aspx" />
    <Content Include="Question.aspx" />
    <Content Include="SearchResult.aspx" />
    <Content Include="SearchResult2.aspx" />
    <Content Include="SolvedQuestionList.ascx" />
    <Content Include="UnSolveQuestionList.ascx" />
  </ItemGroup>
  <ItemGroup>
    <EntityDeploy Include="QA.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>QA.Designer.cs</LastGenOutput>
    </EntityDeploy>
  </ItemGroup>
  <ItemGroup>
    <None Include="ClassDiagram1.cd" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="App_Code\" />
    <Folder Include="App_Data\" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <Import Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v9.0\WebApplications\Microsoft.WebApplication.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>False</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>1420</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>
          </IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
</Project>